#Seta padrão para todos os jobs
#image: node:19.1

stages:
  - teste
  - build
  - deploy

executar_teste:
  stage: teste
  before_script:
    - echo "Preparando Testes..."
    - chmod +x ./script.sh

  script:
    - ./script.sh

  after_script:
    - echo "Apagando arquivos temporários..."

executar_teste2:
  image: node:19.1
  stage: teste
  script:
    - echo "Executando Testes 2...."
    - npm version

criar_imagens:
  stage: build
  script:
    - echo "Criando Imagens..."

push_images:
  needs:
    - criar_imagens
  stage: build
  script:
    - echo "Pushando as Imagens..."

kubernets:
  stage: deploy
  script:
    - echo "Deployando aplicação"
